query FundingSummaries($input: FundingSummariesInput!) {
fundingSummaries(input: $input) {
items {
acceptor {
businessName
fundingSummaries
id
name
reference
}
acceptorAchReturnsAmount
acceptorDisputesNetAmount
acceptorFeesAmount
acceptorFeesCount
acceptorFundingNetAmount
acceptorInterchangeFeesAmount
acceptorInterchangeFeesCount
acceptorNetworkFeesAmount
acceptorNetworkFeesCount
acceptorPaymentsAmount
acceptorSalesNetAmount
achReturnsAmount
achReturnsCount
convenienceFeesAmount
convenienceFeesCount
disputeReversalAmount
disputeReversalCount
disputesCount
disputesCreditAmount
disputesCreditCount
disputesDebitAmount
disputesDebitCount
disputesGrossAmount
disputesNetAmount
feeAmount
feesAmount
feesCount
fundedDisputesCount
fundingCurrency
fundingNetAmount
fundsReleaseDate
fundsTransfer {
acquirerId
createdDateTime
estimatedBankPostingDate
fundsReleaseDate
fundsTransferDescriptor
id
organizationId
plannedFundsTransferDate
}
fundsTransferDescriptor
fundsTransferId
fundsTransferProfileId
fundsTransferProfileName
interchangeFeesAmount
interchangeFeesCount
miscAdjustmentsAmount
miscCreditsAmount
miscCreditsCount
miscDebitsAmount
miscDebitsCount
networkFeesAmount
networkFeesCount
organization {
businessName
capabilities
fundingSummaries
id
legalName
name
phoneNumber
}
partnerFeesAmount
partnerFeesCount
paymentBrand
paymentChannel
perspective
processingNetwork
processorFeesAmount
processorFeesCount
refundsCount
refundsGrossAmount
reservesNetAmount
salesCount
salesGrossAmount
salesNetAmount
serviceFeesAmount
serviceFeesCount
surchargeAmount
surchargeCount
thirdPartyPaymentAmount
transactionActivityDate
transactorFeesAmount
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"fundingCurrency": "example",
"fundsReleaseDate": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query FundingSummaries($input: FundingSummariesInput!) {\n fundingSummaries(input: $input) {\n items {\n acceptor {\n businessName\n fundingSummaries\n id\n name\n reference\n }\n acceptorAchReturnsAmount\n acceptorDisputesNetAmount\n acceptorFeesAmount\n acceptorFeesCount\n acceptorFundingNetAmount\n acceptorInterchangeFeesAmount\n acceptorInterchangeFeesCount\n acceptorNetworkFeesAmount\n acceptorNetworkFeesCount\n acceptorPaymentsAmount\n acceptorSalesNetAmount\n achReturnsAmount\n achReturnsCount\n convenienceFeesAmount\n convenienceFeesCount\n disputeReversalAmount\n disputeReversalCount\n disputesCount\n disputesCreditAmount\n disputesCreditCount\n disputesDebitAmount\n disputesDebitCount\n disputesGrossAmount\n disputesNetAmount\n feeAmount\n feesAmount\n feesCount\n fundedDisputesCount\n fundingCurrency\n fundingNetAmount\n fundsReleaseDate\n fundsTransfer {\n acquirerId\n createdDateTime\n estimatedBankPostingDate\n fundsReleaseDate\n fundsTransferDescriptor\n id\n organizationId\n plannedFundsTransferDate\n }\n fundsTransferDescriptor\n fundsTransferId\n fundsTransferProfileId\n fundsTransferProfileName\n interchangeFeesAmount\n interchangeFeesCount\n miscAdjustmentsAmount\n miscCreditsAmount\n miscCreditsCount\n miscDebitsAmount\n miscDebitsCount\n networkFeesAmount\n networkFeesCount\n organization {\n businessName\n capabilities\n fundingSummaries\n id\n legalName\n name\n phoneNumber\n }\n partnerFeesAmount\n partnerFeesCount\n paymentBrand\n paymentChannel\n perspective\n processingNetwork\n processorFeesAmount\n processorFeesCount\n refundsCount\n refundsGrossAmount\n reservesNetAmount\n salesCount\n salesGrossAmount\n salesNetAmount\n serviceFeesAmount\n serviceFeesCount\n surchargeAmount\n surchargeCount\n thirdPartyPaymentAmount\n transactionActivityDate\n transactorFeesAmount\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"fundingCurrency": "example",
"fundsReleaseDate": "example"
}
}
}
}'
{
"data": {
"fundingSummaries": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"acceptorAchReturnsAmount": 0,
"acceptorDisputesNetAmount": 0,
"acceptorFeesAmount": 0,
"acceptorFeesCount": 0,
"acceptorFundingNetAmount": 0,
"acceptorInterchangeFeesAmount": 0,
"acceptorInterchangeFeesCount": 0,
"acceptorNetworkFeesAmount": 0,
"acceptorNetworkFeesCount": 0,
"acceptorPaymentsAmount": 0,
"acceptorSalesNetAmount": 0,
"achReturnsAmount": 0,
"achReturnsCount": 0,
"convenienceFeesAmount": 0,
"convenienceFeesCount": 0,
"disputeReversalAmount": 0,
"disputeReversalCount": 0,
"disputesCount": 0,
"disputesCreditAmount": 0,
"disputesCreditCount": 0,
"disputesDebitAmount": 0,
"disputesDebitCount": 0,
"disputesGrossAmount": 0,
"disputesNetAmount": 0,
"feeAmount": 0,
"feesAmount": 0,
"feesCount": 0,
"fundedDisputesCount": 0,
"fundingCurrency": "example",
"fundingNetAmount": 0,
"fundsReleaseDate": "2026-01-15",
"fundsTransfer": {
"acquirerId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"bankAccount": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"estimatedBankPostingDate": "2026-01-15",
"fundsReleaseDate": "2026-01-15",
"fundsTransferDescriptor": "example",
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"organizationId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"plannedFundsTransferDate": "2026-01-15"
},
"fundsTransferDescriptor": "example",
"fundsTransferId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"fundsTransferProfileId": "b6d4e5f6-7a8b-9012-3def-456789012345",
"fundsTransferProfileName": "example",
"interchangeFeesAmount": 0,
"interchangeFeesCount": 0,
"miscAdjustmentsAmount": 0,
"miscCreditsAmount": 0,
"miscCreditsCount": 0,
"miscDebitsAmount": 0,
"miscDebitsCount": 0,
"networkFeesAmount": 0,
"networkFeesCount": 0,
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"partnerFeesAmount": 0,
"partnerFeesCount": 0,
"paymentBrand": "VISA",
"paymentChannel": "ECOMMERCE",
"perspective": "PARTNER",
"processingNetwork": "VISA",
"processorFeesAmount": 0,
"processorFeesCount": 0,
"refundsCount": 0,
"refundsGrossAmount": 0,
"reservesNetAmount": 0,
"salesCount": 0,
"salesGrossAmount": 0,
"salesNetAmount": 0,
"serviceFeesAmount": 0,
"serviceFeesCount": 0,
"surchargeAmount": 0,
"surchargeCount": 0,
"thirdPartyPaymentAmount": 0,
"transactionActivityDate": "2026-01-15",
"transactorFeesAmount": 0
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Reporting
fundingSummaries
A summary of financial activity for a given funds release date or transaction activity date. Use this report to understand financial impact of daily sales, reconcile sales activity to your bank deposits, or drill deeper into the composition of your funding.
query FundingSummaries($input: FundingSummariesInput!) {
fundingSummaries(input: $input) {
items {
acceptor {
businessName
fundingSummaries
id
name
reference
}
acceptorAchReturnsAmount
acceptorDisputesNetAmount
acceptorFeesAmount
acceptorFeesCount
acceptorFundingNetAmount
acceptorInterchangeFeesAmount
acceptorInterchangeFeesCount
acceptorNetworkFeesAmount
acceptorNetworkFeesCount
acceptorPaymentsAmount
acceptorSalesNetAmount
achReturnsAmount
achReturnsCount
convenienceFeesAmount
convenienceFeesCount
disputeReversalAmount
disputeReversalCount
disputesCount
disputesCreditAmount
disputesCreditCount
disputesDebitAmount
disputesDebitCount
disputesGrossAmount
disputesNetAmount
feeAmount
feesAmount
feesCount
fundedDisputesCount
fundingCurrency
fundingNetAmount
fundsReleaseDate
fundsTransfer {
acquirerId
createdDateTime
estimatedBankPostingDate
fundsReleaseDate
fundsTransferDescriptor
id
organizationId
plannedFundsTransferDate
}
fundsTransferDescriptor
fundsTransferId
fundsTransferProfileId
fundsTransferProfileName
interchangeFeesAmount
interchangeFeesCount
miscAdjustmentsAmount
miscCreditsAmount
miscCreditsCount
miscDebitsAmount
miscDebitsCount
networkFeesAmount
networkFeesCount
organization {
businessName
capabilities
fundingSummaries
id
legalName
name
phoneNumber
}
partnerFeesAmount
partnerFeesCount
paymentBrand
paymentChannel
perspective
processingNetwork
processorFeesAmount
processorFeesCount
refundsCount
refundsGrossAmount
reservesNetAmount
salesCount
salesGrossAmount
salesNetAmount
serviceFeesAmount
serviceFeesCount
surchargeAmount
surchargeCount
thirdPartyPaymentAmount
transactionActivityDate
transactorFeesAmount
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"fundingCurrency": "example",
"fundsReleaseDate": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query FundingSummaries($input: FundingSummariesInput!) {\n fundingSummaries(input: $input) {\n items {\n acceptor {\n businessName\n fundingSummaries\n id\n name\n reference\n }\n acceptorAchReturnsAmount\n acceptorDisputesNetAmount\n acceptorFeesAmount\n acceptorFeesCount\n acceptorFundingNetAmount\n acceptorInterchangeFeesAmount\n acceptorInterchangeFeesCount\n acceptorNetworkFeesAmount\n acceptorNetworkFeesCount\n acceptorPaymentsAmount\n acceptorSalesNetAmount\n achReturnsAmount\n achReturnsCount\n convenienceFeesAmount\n convenienceFeesCount\n disputeReversalAmount\n disputeReversalCount\n disputesCount\n disputesCreditAmount\n disputesCreditCount\n disputesDebitAmount\n disputesDebitCount\n disputesGrossAmount\n disputesNetAmount\n feeAmount\n feesAmount\n feesCount\n fundedDisputesCount\n fundingCurrency\n fundingNetAmount\n fundsReleaseDate\n fundsTransfer {\n acquirerId\n createdDateTime\n estimatedBankPostingDate\n fundsReleaseDate\n fundsTransferDescriptor\n id\n organizationId\n plannedFundsTransferDate\n }\n fundsTransferDescriptor\n fundsTransferId\n fundsTransferProfileId\n fundsTransferProfileName\n interchangeFeesAmount\n interchangeFeesCount\n miscAdjustmentsAmount\n miscCreditsAmount\n miscCreditsCount\n miscDebitsAmount\n miscDebitsCount\n networkFeesAmount\n networkFeesCount\n organization {\n businessName\n capabilities\n fundingSummaries\n id\n legalName\n name\n phoneNumber\n }\n partnerFeesAmount\n partnerFeesCount\n paymentBrand\n paymentChannel\n perspective\n processingNetwork\n processorFeesAmount\n processorFeesCount\n refundsCount\n refundsGrossAmount\n reservesNetAmount\n salesCount\n salesGrossAmount\n salesNetAmount\n serviceFeesAmount\n serviceFeesCount\n surchargeAmount\n surchargeCount\n thirdPartyPaymentAmount\n transactionActivityDate\n transactorFeesAmount\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"fundingCurrency": "example",
"fundsReleaseDate": "example"
}
}
}
}'
{
"data": {
"fundingSummaries": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"acceptorAchReturnsAmount": 0,
"acceptorDisputesNetAmount": 0,
"acceptorFeesAmount": 0,
"acceptorFeesCount": 0,
"acceptorFundingNetAmount": 0,
"acceptorInterchangeFeesAmount": 0,
"acceptorInterchangeFeesCount": 0,
"acceptorNetworkFeesAmount": 0,
"acceptorNetworkFeesCount": 0,
"acceptorPaymentsAmount": 0,
"acceptorSalesNetAmount": 0,
"achReturnsAmount": 0,
"achReturnsCount": 0,
"convenienceFeesAmount": 0,
"convenienceFeesCount": 0,
"disputeReversalAmount": 0,
"disputeReversalCount": 0,
"disputesCount": 0,
"disputesCreditAmount": 0,
"disputesCreditCount": 0,
"disputesDebitAmount": 0,
"disputesDebitCount": 0,
"disputesGrossAmount": 0,
"disputesNetAmount": 0,
"feeAmount": 0,
"feesAmount": 0,
"feesCount": 0,
"fundedDisputesCount": 0,
"fundingCurrency": "example",
"fundingNetAmount": 0,
"fundsReleaseDate": "2026-01-15",
"fundsTransfer": {
"acquirerId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"bankAccount": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"estimatedBankPostingDate": "2026-01-15",
"fundsReleaseDate": "2026-01-15",
"fundsTransferDescriptor": "example",
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"organizationId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"plannedFundsTransferDate": "2026-01-15"
},
"fundsTransferDescriptor": "example",
"fundsTransferId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"fundsTransferProfileId": "b6d4e5f6-7a8b-9012-3def-456789012345",
"fundsTransferProfileName": "example",
"interchangeFeesAmount": 0,
"interchangeFeesCount": 0,
"miscAdjustmentsAmount": 0,
"miscCreditsAmount": 0,
"miscCreditsCount": 0,
"miscDebitsAmount": 0,
"miscDebitsCount": 0,
"networkFeesAmount": 0,
"networkFeesCount": 0,
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"partnerFeesAmount": 0,
"partnerFeesCount": 0,
"paymentBrand": "VISA",
"paymentChannel": "ECOMMERCE",
"perspective": "PARTNER",
"processingNetwork": "VISA",
"processorFeesAmount": 0,
"processorFeesCount": 0,
"refundsCount": 0,
"refundsGrossAmount": 0,
"reservesNetAmount": 0,
"salesCount": 0,
"salesGrossAmount": 0,
"salesNetAmount": 0,
"serviceFeesAmount": 0,
"serviceFeesCount": 0,
"surchargeAmount": 0,
"surchargeCount": 0,
"thirdPartyPaymentAmount": 0,
"transactionActivityDate": "2026-01-15",
"transactorFeesAmount": 0
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Query
Arguments
FundingSummariesInput!
required
Show child attributes
Show child attributes
[FundingSummarySortTypeInput!]
PagingInput!
required
See PagingInput
FundingSummaryFilterInput!
required
Show child attributes
Show child attributes
GuidFilterInput
See GuidFilterInput
StringFilterInput
DateRangeFilterInput
GuidFilterInput
See GuidFilterInput
EnumFilterInputOfPaymentBrandInput
EnumFilterInputOfPaymentChannelInput
EnumFilterInputOfPerspectiveInput
DateRangeFilterInput
Return type
FundingSummaryCollection
[FundingSummary!]!
required
Show child attributes
Show child attributes
Decimal!
required
Total monetary amount of ACH returns from the acceptor.
Decimal!
required
Net amount of financially impacting disputes debited from and or credited to the acceptor.
Decimal!
required
The total amount of fees paid by the acceptor.
Int!
required
Total number of fees paid by the acceptor.
Decimal!
required
The net amount funded to (or debited from) the acceptor.
Decimal!
required
Total amount of interchange fees charged to acceptor.
Int!
required
Total number of network fees charged to acceptor.
Decimal!
required
Total amount of network fees charged to acceptor.
Int!
required
Total number of interchange fees charged to acceptor.
Decimal!
required
deprecated
The total amount of net sales (refunds + captures) processed.Deprecated: Use acceptorNetSettledSalesAmount instead
Decimal!
required
The net amount of the acceptor’s sales and refunds.
Decimal!
required
Total monetary amount of ACH returns
Int!
required
Total number of ACH returns
Decimal!
required
Total amount of convenience fees charged to the customer.
Int!
required
Total number of convenience fees charged to the customer.
Decimal
deprecated
The total amount of disputes represented and credited to the acceptor.Deprecated: Use disputesCreditAmount instead
Int
deprecated
The total number of representmentsDeprecated: Use disputesCreditCount instead
Int!
required
The total number of dispute debits and credits applied on your account. Calculated as [Dispute credits count - Dispute debits count]
Decimal!
required
The amount of financially impacting dispute events (e.g., representments) credited to your account.
Int!
required
The number of financially impacting dispute events (e.g., representments) credited to your account.
Decimal!
required
The amount of financially impacting dispute events (e.g., 1st chargebacks) debited from your account.
Int!
required
The number of financially impacting dispute events (e.g., 1st chargebacks) debited from your account.
Decimal!
required
deprecated
The total amount of financially impacting disputes.Deprecated: Use disputesNetAmount instead
Decimal!
required
The net amount of financially impacting dispute events funded to our from your account. Calculated as [Dispute credits - Dispute debits].
Decimal!
required
deprecated
The total amount of fees. Calculated as [Interchange + Network fees + Processor fees + Transactor fees].Deprecated: Use feesAmount instead.
Decimal!
required
The total amount of fees.
Int!
required
Total number of fees.
Int!
required
deprecated
The total number of dispute debits and credits applied on your account. Calculated as [Dispute credits count - Dispute debits count]Deprecated: Use disputesCount instead.
String!
required
The currency of the funded transaction, formatted in ISO 4217 alphabetic code.
Decimal!
required
The amount transferred from Tesouro to the recipient’s bank.
Date!
required
The date that Tesouro releases the funds from its bank account to the recipient’s bank account.
FundsTransfer
The funds transfer associated with this funding summary, containing bank account details.See FundsTransfer
String
A value created by Tesouro and sent with the funds transfer to the recipient’s bank for display on the bank statement. It includes information on who sent the money and the purpose of the payment. The recipient can use this value to help with bank and transaction reconciliation.
UUID!
required
A unique identifier created by Tesouro and assigned to the transfer of money to a bank account, that identifies a cohort of funded transactions making up the transfer.
UUID
A reusable identifier created and used internally by Tesouro, and assigned to the configuration of funding profiles specifying who and/or where the funds transfer is sent.
String
A reusable, descriptive name specified by the transactor, labeling who and/or where the funds transfer is going. E.g., the name of a specific acceptor, a group of acceptors, a bank account, etc.
Decimal!
required
Total amount of interchange fees.
Int!
required
Total number of interchange fees.
Decimal
The net amount of miscellaneous adjustments. Calculated as [Miscellaneous credits - Miscellaneous debits].
Decimal
The total amount of miscellaneous credits
Int
The total number of miscellaneous credits
Decimal
The total amount of miscellaneous debits
Int
The total number of miscellaneous debits
Decimal!
required
Total amount of network fees.
Int!
required
Total number of network fees.
Organization!
required
See Organization
Decimal!
required
The total amount of partner fees passed onto the acceptor.
Int!
required
Total number of partner fees charged to the acceptor.
PaymentBrand
Specifies which payment brand was used, e.g., Visa, Mastercard, Discover, American Express, etc. NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.See PaymentBrand
PaymentChannel
Specifies how the payment was made, e.g., Ecommerce, Mail Order/Telephone Order, or Retail.See PaymentChannel
Perspective
The perspective of the funds transfer, which can be either ‘Acceptor’ or ‘Partner’. This field is used to determine the perspective from which the funds transfer is reported.See Perspective
Network
The processing network that the transaction was sent across, which may be unaffiliated with the card brand. NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.See Network
Decimal!
required
Total amount of processor fees charged by Tesouro.
Int!
required
Total number of processor fees.
Int!
required
The total number of refunded transactions.
Decimal!
required
The gross refunds amount before deducting any associated transaction-level fees.
Decimal!
required
The net reserve amount, if applicable.
Int!
required
The total number of captured sale transactions
Decimal!
required
The gross sales amount before deducting any associated transaction-level fees.
Decimal!
required
The net transaction amount, calculated as [Gross sales amount - Gross refunds amount]
Decimal!
required
Total amount of service fees charged to the customer.
Int!
required
Total number of service fees charged to the customer.
Decimal!
required
Total amount of surcharges charged to the customer.
Int!
required
Total number of surcharges charged to the customer.
Decimal!
required
The total amount transferred to third parties.
Date!
required
The date Tesouro recognized the payment request based upon the acceptor cutoff
Decimal!
required
deprecated
The total amount of transactor fees passed onto the acceptor.Deprecated: Use partnerFeesAmount instead.
query FundingSummaries($input: FundingSummariesInput!) {
fundingSummaries(input: $input) {
items {
acceptor {
businessName
fundingSummaries
id
name
reference
}
acceptorAchReturnsAmount
acceptorDisputesNetAmount
acceptorFeesAmount
acceptorFeesCount
acceptorFundingNetAmount
acceptorInterchangeFeesAmount
acceptorInterchangeFeesCount
acceptorNetworkFeesAmount
acceptorNetworkFeesCount
acceptorPaymentsAmount
acceptorSalesNetAmount
achReturnsAmount
achReturnsCount
convenienceFeesAmount
convenienceFeesCount
disputeReversalAmount
disputeReversalCount
disputesCount
disputesCreditAmount
disputesCreditCount
disputesDebitAmount
disputesDebitCount
disputesGrossAmount
disputesNetAmount
feeAmount
feesAmount
feesCount
fundedDisputesCount
fundingCurrency
fundingNetAmount
fundsReleaseDate
fundsTransfer {
acquirerId
createdDateTime
estimatedBankPostingDate
fundsReleaseDate
fundsTransferDescriptor
id
organizationId
plannedFundsTransferDate
}
fundsTransferDescriptor
fundsTransferId
fundsTransferProfileId
fundsTransferProfileName
interchangeFeesAmount
interchangeFeesCount
miscAdjustmentsAmount
miscCreditsAmount
miscCreditsCount
miscDebitsAmount
miscDebitsCount
networkFeesAmount
networkFeesCount
organization {
businessName
capabilities
fundingSummaries
id
legalName
name
phoneNumber
}
partnerFeesAmount
partnerFeesCount
paymentBrand
paymentChannel
perspective
processingNetwork
processorFeesAmount
processorFeesCount
refundsCount
refundsGrossAmount
reservesNetAmount
salesCount
salesGrossAmount
salesNetAmount
serviceFeesAmount
serviceFeesCount
surchargeAmount
surchargeCount
thirdPartyPaymentAmount
transactionActivityDate
transactorFeesAmount
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"fundingCurrency": "example",
"fundsReleaseDate": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query FundingSummaries($input: FundingSummariesInput!) {\n fundingSummaries(input: $input) {\n items {\n acceptor {\n businessName\n fundingSummaries\n id\n name\n reference\n }\n acceptorAchReturnsAmount\n acceptorDisputesNetAmount\n acceptorFeesAmount\n acceptorFeesCount\n acceptorFundingNetAmount\n acceptorInterchangeFeesAmount\n acceptorInterchangeFeesCount\n acceptorNetworkFeesAmount\n acceptorNetworkFeesCount\n acceptorPaymentsAmount\n acceptorSalesNetAmount\n achReturnsAmount\n achReturnsCount\n convenienceFeesAmount\n convenienceFeesCount\n disputeReversalAmount\n disputeReversalCount\n disputesCount\n disputesCreditAmount\n disputesCreditCount\n disputesDebitAmount\n disputesDebitCount\n disputesGrossAmount\n disputesNetAmount\n feeAmount\n feesAmount\n feesCount\n fundedDisputesCount\n fundingCurrency\n fundingNetAmount\n fundsReleaseDate\n fundsTransfer {\n acquirerId\n createdDateTime\n estimatedBankPostingDate\n fundsReleaseDate\n fundsTransferDescriptor\n id\n organizationId\n plannedFundsTransferDate\n }\n fundsTransferDescriptor\n fundsTransferId\n fundsTransferProfileId\n fundsTransferProfileName\n interchangeFeesAmount\n interchangeFeesCount\n miscAdjustmentsAmount\n miscCreditsAmount\n miscCreditsCount\n miscDebitsAmount\n miscDebitsCount\n networkFeesAmount\n networkFeesCount\n organization {\n businessName\n capabilities\n fundingSummaries\n id\n legalName\n name\n phoneNumber\n }\n partnerFeesAmount\n partnerFeesCount\n paymentBrand\n paymentChannel\n perspective\n processingNetwork\n processorFeesAmount\n processorFeesCount\n refundsCount\n refundsGrossAmount\n reservesNetAmount\n salesCount\n salesGrossAmount\n salesNetAmount\n serviceFeesAmount\n serviceFeesCount\n surchargeAmount\n surchargeCount\n thirdPartyPaymentAmount\n transactionActivityDate\n transactorFeesAmount\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"fundingCurrency": "example",
"fundsReleaseDate": "example"
}
}
}
}'
{
"data": {
"fundingSummaries": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"acceptorAchReturnsAmount": 0,
"acceptorDisputesNetAmount": 0,
"acceptorFeesAmount": 0,
"acceptorFeesCount": 0,
"acceptorFundingNetAmount": 0,
"acceptorInterchangeFeesAmount": 0,
"acceptorInterchangeFeesCount": 0,
"acceptorNetworkFeesAmount": 0,
"acceptorNetworkFeesCount": 0,
"acceptorPaymentsAmount": 0,
"acceptorSalesNetAmount": 0,
"achReturnsAmount": 0,
"achReturnsCount": 0,
"convenienceFeesAmount": 0,
"convenienceFeesCount": 0,
"disputeReversalAmount": 0,
"disputeReversalCount": 0,
"disputesCount": 0,
"disputesCreditAmount": 0,
"disputesCreditCount": 0,
"disputesDebitAmount": 0,
"disputesDebitCount": 0,
"disputesGrossAmount": 0,
"disputesNetAmount": 0,
"feeAmount": 0,
"feesAmount": 0,
"feesCount": 0,
"fundedDisputesCount": 0,
"fundingCurrency": "example",
"fundingNetAmount": 0,
"fundsReleaseDate": "2026-01-15",
"fundsTransfer": {
"acquirerId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"bankAccount": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"estimatedBankPostingDate": "2026-01-15",
"fundsReleaseDate": "2026-01-15",
"fundsTransferDescriptor": "example",
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"organizationId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"plannedFundsTransferDate": "2026-01-15"
},
"fundsTransferDescriptor": "example",
"fundsTransferId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"fundsTransferProfileId": "b6d4e5f6-7a8b-9012-3def-456789012345",
"fundsTransferProfileName": "example",
"interchangeFeesAmount": 0,
"interchangeFeesCount": 0,
"miscAdjustmentsAmount": 0,
"miscCreditsAmount": 0,
"miscCreditsCount": 0,
"miscDebitsAmount": 0,
"miscDebitsCount": 0,
"networkFeesAmount": 0,
"networkFeesCount": 0,
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"partnerFeesAmount": 0,
"partnerFeesCount": 0,
"paymentBrand": "VISA",
"paymentChannel": "ECOMMERCE",
"perspective": "PARTNER",
"processingNetwork": "VISA",
"processorFeesAmount": 0,
"processorFeesCount": 0,
"refundsCount": 0,
"refundsGrossAmount": 0,
"reservesNetAmount": 0,
"salesCount": 0,
"salesGrossAmount": 0,
"salesNetAmount": 0,
"serviceFeesAmount": 0,
"serviceFeesCount": 0,
"surchargeAmount": 0,
"surchargeCount": 0,
"thirdPartyPaymentAmount": 0,
"transactionActivityDate": "2026-01-15",
"transactorFeesAmount": 0
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Was this page helpful?